View Issue Details

IDProjectCategoryView StatusLast Update
0002030Industrial-Craft²nuclear reactor and anything associatedpublic2017-08-31 17:52
ReporterjtmzacAssigned ToAroma1997 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformForge 2122, IC2 2.6.101-ex110OSWindowsOS Version10
Product Version 
Target VersionFixed in VersionBuilds for MC 1.12.x 
Summary0002030: Heat output in fluid reactor GUI is being multiplied by 20
DescriptionThe fluid reactor,liquid heat exchanger and steam boiler/generator GUI's list heat output as HU/t (well mostly, see additional information) yet the fluid reactor requires an output of 2000 HU/t to supply enough hot coolant to run a liquid heat exchanger at its maximum output of 100 HU/t using 10 heat conductors.
Steps To Reproduce1. Run hot coolant from a fluid reactor to a liquid heat exchanger that is running next to a steam boiler then and back to the reactor in a closed loop
2. Use different reactor component/fuel rod configurations to output varying heat levels.
3. Anything below roughly 2000 HU/t will not output enough heat to run the liquid heat exchanger at a steady 100 HU/t
Additional InformationThe capitilisation of the steam boiler units and liquid reactors units don't match. The steam boiler is Hu/t while the fluid reactor is HU/t. I think this is probably just a spelling mistake since the number is x20 (the multiplier for changing between per tick and per second) rather then x1000 which is usually the multiplier for a larger unit.

The liquid heat exchanger doesn't say what unit it's running in but since it matches the steam boiler I assumed it's the same.
TagsNo tags attached.
Minecraft Version1.12

Activities

Terpo

2016-11-13 20:13

reporter   ~0004850

problem here is that the exchanger shows hU / second and the reactor hU / tick.

DeuceXM

2016-12-17 00:35

reporter   ~0004945

Did some testing in 2.6.132 - I noticed this a while back, but wasn't sure precisely how to communicate it. I think the best thing would be to show the reactor's output in HU/s, and divide the current number by 20.

If you place a single uranium rod inside and provide sufficient cooling (and coolant), it will produce a stated 160 HU/t. Add a neutron reflector next to it, and that figure goes to 480 HU/t. Display in seconds instead, and you get 8 and 24 HU/s, respectively - which is exactly how many mB of hot coolant the reactor produces per reactor tick in each respective case.

It's a lot easier to see (as in previous versions, even if it wasn't /correct/ per se) 192 HU/t and know 'okay, I need at least two fully-equipped LHEs to handle this' instead of what it would currently display as, 3840 HU/t. I'd just like to see that as 192 HU/s, or something else that communicates that every reactor tick I'm going to get 192 mB of hot coolant with this setup.

I don't remember which version it was that changed this, but if I have the time to research it I'll add another note.

Chocohead

2016-12-18 03:17

developer   ~0004950

I'll take a look at this tomorrow.

Issue History

Date Modified Username Field Change
2016-11-07 07:18 jtmzac New Issue
2016-11-13 20:13 Terpo Note Added: 0004850
2016-12-17 00:35 DeuceXM Note Added: 0004945
2016-12-18 03:17 Chocohead Note Added: 0004950
2016-12-18 03:17 Chocohead Assigned To => Chocohead
2016-12-18 03:17 Chocohead Status new => acknowledged
2017-08-31 17:52 Aroma1997 Assigned To Chocohead => Aroma1997
2017-08-31 17:52 Aroma1997 Status acknowledged => resolved
2017-08-31 17:52 Aroma1997 Resolution open => fixed
2017-08-31 17:52 Aroma1997 Fixed in Version => Builds for MC 1.12.x
2017-08-31 17:52 Aroma1997 Minecraft Version 1.10.2 => 1.12